### Signal

# Xdp Portal::update-progress

#### Declaration

    void
    update_progress (
      XdpPortal* self,
      guint n_ops,
      guint op,
      guint progress,
      XdpUpdateStatus* status,
      gchar* error,
      gchar* error_message,
      gpointer user_data
    )

#### Description [src]

Emitted to indicate progress of an update installation.

It is undefined exactly how often it is sent, but it will be emitted at least once at the end with a non-zero `status`. For each successful operation in the update, we’re also guaranteed to send exactly one signal with `progress` 100.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`n_ops`

  Type: `guint`

  The number of operations that the update consists of.

`op`

  Type: `guint`

  The position of the currently active operation.

`progress`

  Type: `guint`

  The progress of the currently active operation, as a number between 0 and 100.

`status`

  Type: `XdpUpdateStatus`

  The overall status of the update.

  The data is owned by the caller of the function.

`error`

  Type: `gchar*`

  The error name if the status is ‘failed’.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error_message`

  Type: `gchar*`

  The error message if the status is ‘failed’.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.